NcVarReader <- function(file_path = NULL, file_object = NULL, 
                        file_selectors = NULL, var_name = NULL) {
  if (!is.null(file_object)) {
    file_to_read <- file_object
  } else if (!is.null(file_path)) {
    file_to_read <- file_path
  } else {
    stop("Either 'file_path' or 'file_object' must be provided.")
  }

  if (var_name %in% c('var_names')) {
    easyNCDF::NcReadVarNames(file_to_read)
  } else {
    #if (any(c('var', 'variable') %in% names(file_selectors))) {
    #  drop_var_dim <- TRUE
    #} else {
    #  drop_var_dim <- FALSE
    #}
    drop_var_dim <- TRUE
    result <- easyNCDF::NcToArray(file_to_read, vars_to_read = var_name, 
                                  drop_var_dim = drop_var_dim)
    units <- attr(result, 'variables')[[var_name]][['units']]
    if (units %in% c('seconds', 'minutes', 'hours', 'days', 'weeks', 'months', 'years')) {
      if (units == 'seconds') {
        units <- 'secs'
      } else if (units == 'minutes') {
        units <- 'mins'
      }
      result[] <- paste(result[], units)
    } else if (grepl(' since ', units)) {
      parts <- strsplit(units, ' since ')[[1]]
      units <- parts[1]
      if (units == 'seconds') {
        units <- 'secs'
      } else if (units == 'minutes') {
        units <- 'mins'
      }
      new_array <- seq(as.POSIXct(parts[2]), length = max(result, na.rm = TRUE) + 1, by = units)[result[] + 1]
      dim(new_array) <- dim(result)
      attr(new_array, 'variables') <- attr(result, 'variables')
      result <- new_array
    }
    result
  }
}
